## com.baidubce.services.lss.model
Class Target

    java.lang.Object
      com.baidubce.services.lss.model.Target

    public class Target

extends Object

Constructor Summary
`Target()`

Method Summary
`String` `getFormat()`
`Integer` `getHeightInPixel()`
`String` `getSizingPolicy()`
`Integer` `getWidthInPixel()`
`void` `setFormat(String format)`
`void` `setHeightInPixel(Integer heightInPixel)`
`void` `setSizingPolicy(String sizingPolicy)`
`void` `setWidthInPixel(Integer widthInPixel)`
`String` `toString()`
`Target` `withFormat(String format)`
`Target` `withHeightInPixel(Integer heightInPixel)`
`Target` `withSizingPolicy(String sizingPolicy)`
`Target` `withWidthInPixel(Integer widthInPixel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Target

    public Target()

Method Detail

### getFormat

    public String getFormat()

### setFormat

    public void setFormat(String format)

### withFormat

    public Target withFormat(String format)

### getSizingPolicy

    public String getSizingPolicy()

### setSizingPolicy

    public void setSizingPolicy(String sizingPolicy)

### withSizingPolicy

    public Target withSizingPolicy(String sizingPolicy)

### getWidthInPixel

    public Integer getWidthInPixel()

### setWidthInPixel

    public void setWidthInPixel(Integer widthInPixel)

### withWidthInPixel

    public Target withWidthInPixel(Integer widthInPixel)

### getHeightInPixel

    public Integer getHeightInPixel()

### setHeightInPixel

    public void setHeightInPixel(Integer heightInPixel)

### withHeightInPixel

    public Target withHeightInPixel(Integer heightInPixel)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.